Page MenuHomeFreeBSD

Locale change in stdtime/strftime.c from Apple Inc.
ClosedPublic

Authored by pfg on Jul 25 2014, 2:22 PM.

Details

Reviewers
theraven
pfg
Summary

This is a set of changes from Apple to the strftime implementation:

  • Replace fprintf_l with fputs when output is unformated.
  • Use locale_t in _conv() since it was using sprintf (now sprintf_l)
  • Use locale_t on _yconv() sinci it calls _conv()

Diff Detail

Repository
rS FreeBSD src repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

pfg retitled this revision from to Locale change in stdtime/strftime.c from Apple Inc..Jul 25 2014, 2:22 PM
pfg updated this object.
pfg edited the test plan for this revision. (Show Details)
pfg added a reviewer: theraven.
pfg updated this revision to Diff 833.
pfg added a comment.Jul 25 2014, 2:24 PM

Please ignore the strptime changes: that is unrealted WIP.

pfg updated this revision to Diff 835.Jul 25 2014, 2:28 PM

Drop unrelated changes.

theraven edited edge metadata.Jul 26 2014, 11:39 AM

Looks good to me.

pfg added a comment.Jul 26 2014, 2:25 PM

Committed as r269124.

pfg added a reviewer: pfg.Jul 27 2014, 5:31 PM
pfg accepted this revision.

Committed as r269124

This revision is now accepted and ready to land.Jul 27 2014, 5:31 PM
pfg closed this revision.Jul 27 2014, 5:31 PM